--
-- ### Multi dimensional btrees
-- 
-- 
--


drop if exists table t1; 
drop if exists counter cid;

create table t1 ( a string(10), b string(10), c int ); 

insert into t1 values ( 'HUGO', 'ALPHA', 0 ); 
insert into t1 values ( 'HUGO', 'BETA', 0 ); 
insert into t1 values ( 'HUGO', 'GAMMA', 0 ); 
insert into t1 values ( 'HUGO', 'EPSILON', 0 ); 

drop if exists btree b1;
create unique btree b1 on t1  ( a, b); 

update t1 set c = 1;

drop btree b1;

list btree;
create btree b1 on t1  ( a ); 
-- update t1 set c = 2;

select * from t1;

-- drop btree b1;
-- create unique btree b1 on t1  ( a, b, c); 

drop btree b1;

create counter cid;
update t1 set c = nextcount(cid);

create unique btree b1 on t1  (c);
select * from t1;
plan select * from t1 where c = 3;

select * from t1 where c = 3;
